| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# tfoot

$Revision: 1.3 $

$Date: 2002/06/12 11:18:40 $

tfoot — A table footer consisting of one or more rows

## Synopsis

### Content Model

    tfoot ::=
    (colspec*,row+)

### Attributes

Common attributes

Name | Type | Default
valign |
Enumeration:
bottom
middle
top
| None

## Description

The `TFoot` wrapper identifies the `Row`s of a table that form the foot of the table, as distinct from the header (`THead`) and body (`TBody`) rows.

Footer rows are always rendered at the end of the table, despite thier logical placement near the beginning.

### Processing expectations

This element is expected to obey the semantics of the CALS Table Model Document Type Definition, as specified by OASIS Technical Memorandum TM 9502:1995 . Footer rows are often presented in an alternate typographic style, such as boldface.

In paged media, if a table spans across multiple pages, footer rows are printed on the bottom of each page.

In our experience, relatively few formatters handle footer rows correctly.

### Parents

These elements contain tfoot: `tgroup`.

### Children

The following elements occur in tfoot: `colspec`, `row`.

## Attributes

valign

  `VAlign` specifies the vertical alignment of text (and other elements) within the cells of this `TFoot`.

## See Also

`colspec`, `entry`, `entrytbl`, `informaltable`, `row`, `spanspec`, `table`, `tbody`, `tgroup`, `thead`.

## Examples

For examples, see `table`.

textobject |  | tgroup

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.